summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-board/pysolfc/files/pysolfc-PIL-imports.patch12
-rw-r--r--games-board/pysolfc/pysolfc-2.0-r4.ebuild80
2 files changed, 86 insertions, 6 deletions
diff --git a/games-board/pysolfc/files/pysolfc-PIL-imports.patch b/games-board/pysolfc/files/pysolfc-PIL-imports.patch
index ed174d8aefe..64d9980a881 100644
--- a/games-board/pysolfc/files/pysolfc-PIL-imports.patch
+++ b/games-board/pysolfc/files/pysolfc-PIL-imports.patch
@@ -3,9 +3,9 @@ https://bugs.gentoo.org/show_bug.cgi?id=471514
Index: pysollib/mfxutil.py
===================================================================
-diff --git a/PySolFC/trunk/pysollib/mfxutil.py b/PySolFC/trunk/pysollib/mfxutil.py
---- a/PySolFC/trunk/pysollib/mfxutil.py (revision 279)
-+++ b/PySolFC/trunk/pysollib/mfxutil.py (working copy)
+diff --git a/pysollib/mfxutil.py b/pysollib/mfxutil.py
+--- a/pysollib/mfxutil.py (revision 279)
++++ b/pysollib/mfxutil.py (working copy)
@@ -41,18 +41,18 @@
Image = ImageTk = ImageOps = None
if TOOLKIT == 'tk':
@@ -35,9 +35,9 @@ diff --git a/PySolFC/trunk/pysollib/mfxutil.py b/PySolFC/trunk/pysollib/mfxutil.
if TOOLKIT == 'tk' and Image and Image.VERSION >= '1.1.7':
Index: scripts/cardset_viewer.py
===================================================================
-diff --git a/PySolFC/trunk/scripts/cardset_viewer.py b/PySolFC/trunk/scripts/cardset_viewer.py
---- a/PySolFC/trunk/scripts/cardset_viewer.py (revision 279)
-+++ b/PySolFC/trunk/scripts/cardset_viewer.py (working copy)
+diff --git a/scripts/cardset_viewer.py b/scripts/cardset_viewer.py
+--- a/scripts/cardset_viewer.py (revision 279)
++++ b/scripts/cardset_viewer.py (working copy)
@@ -7,7 +7,7 @@
from math import sqrt, sin, cos, pi
from Tkinter import *
diff --git a/games-board/pysolfc/pysolfc-2.0-r4.ebuild b/games-board/pysolfc/pysolfc-2.0-r4.ebuild
new file mode 100644
index 00000000000..6c571791642
--- /dev/null
+++ b/games-board/pysolfc/pysolfc-2.0-r4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk"
+DISTUTILS_SINGLE_IMPL="1"
+
+inherit eutils python-single-r1 distutils-r1
+
+MY_PN=PySolFC
+SOL_URI="mirror://sourceforge/${PN}"
+
+DESCRIPTION="An exciting collection of more than 1000 solitaire card games"
+HOMEPAGE="http://pysolfc.sourceforge.net/"
+SRC_URI="${SOL_URI}/${MY_PN}-${PV}.tar.bz2
+ extra-cardsets? ( ${SOL_URI}/${MY_PN}-Cardsets-${PV}.tar.bz2 )"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="extra-cardsets minimal +sound"
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+DEPEND=""
+RDEPEND="${RDEPEND}
+ !minimal? ( dev-python/pillow[tk,${PYTHON_USEDEP}]
+ dev-tcltk/tktable )
+ sound? ( dev-python/pygame[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-PIL-imports.patch" #471514
+ )
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ distutils-r1_src_prepare
+
+ sed -i \
+ -e "/pysol.desktop/d" \
+ -e "s:share/icons:share/pixmaps:" \
+ setup.py || die
+
+ mv docs/README{,.txt}
+}
+
+src_compile() {
+ distutils-r1_src_compile
+}
+
+python_install_all() {
+ make_desktop_entry pysol.py "PySol Fan Club Edition" pysol02
+
+ if use extra-cardsets; then
+ insinto /usr/share/${PN}
+ doins -r "${WORKDIR}"/${MY_PN}-Cardsets-${PV}/*
+ fi
+
+ doman docs/*.6
+
+ DOCS=( README AUTHORS docs/README.txt docs/README.SOURCE )
+ HTML_DOCS=( docs/*html )
+
+ distutils-r1_python_install_all
+}
+
+src_install() {
+ distutils-r1_src_install
+}